~~FORT90~~
!-----------------------------------------------------------
!         TableCurve FORTRAN F90 Code Output
!    To modify generated output, edit FORT90.TCL
!-----------------------------------------------------------

PROGRAM main
REAL*8 x,y,z
REAL*8 `FNAME`
10 PRINT *,'Enter X: '
READ *,x
PRINT *,'Enter Y: '
READ *,y
IF(x.EQ.0 .AND. y.EQ.0) GOTO 20
z=`FNAME`(x,y)
PRINT *,'Z=',z
GOTO 10
20 END

!!FORT90!!
!-----------------------------------------------------------`ERF`
REAL*8 FUNCTION ERF(x)`ERF`
!-----------------------------------------------------------`ERF`
  REAL*8 x`ERF`
  REAL*8 t,ax,y`ERF`
  ax=DABS(x)`ERF`
  IF (ax.GT.5.94) THEN`ERF`
    IF (x.LT.0.0) THEN`ERF`
      ERF=-1.0`ERF`
    ELSE`ERF`
      ERF=1.0`ERF`
    END IF`ERF`
    RETURN`ERF`
  END IF`ERF`
  t=1D0/(1D0+0.5D0*ax)`ERF`
  y=(-1.265512123484645D0+t*(2.413446064151486D0+&`ERF`
 &t*(-9.923502804068758D0+t*(13.30227627857427D0+&`ERF`
 &t*(-24.31939647870131D0+t*(23.69235092477504D0+&`ERF`
 &t*(-22.19704395697156D0+t*(17.33962064613528D0+&`ERF`
 &t*(-6.393856404424753D0+t*(6.048145478410007D0+&`ERF`
 &t*(0.2817878807093651D0+t*(0.9389130912957599D0+&`ERF`
 &t*0.08277140359981640D0))))))))))))/&`ERF`
 &(1D0+t*(-1.116896502152423D0+t*(7.255249579620269D0+&`ERF`
 &t*(-5.043436120037070D0+t*(17.24018785565654D0+&`ERF`
 &t*(-6.152935277515339D0+t*(17.01615603408679D0+&`ERF`
 &t*(-1.320849599715369D0+t*(7.600531901165844D0+&`ERF`
 &t*(0.9298597410369911D0+t*(1.484046041424923D0+&`ERF`
 &t*(0.2456375141642222D0+t*0.06979297013258348D0))))))))))))`ERF`
  IF(x.GE.0D0) THEN`ERF`
    ERF=1D0-t*DEXP(-x*x+y)`ERF`
  ELSE `ERF`
    ERF=-1D0+t*DEXP(-x*x+y)`ERF`
  END IF`ERF`
  RETURN`ERF`
END`ERF`
!----------------------------------------------------------`FCPOLY`
SUBROUTINE EVALCPOLY(order, logx, logy, x, y, c, z)`FCPOLY`
!----------------------------------------------------------`FCPOLY`
INTEGER order,logx,logy`FCPOLY`
REAL*8 x,y,c(*),z`FCPOLY`
INTEGER tcnt,j,m,iv`FCPOLY`
REAL*8 tx(12),ty(12),v(70)`FCPOLY`
IF(logx.NE.1) THEN`FCPOLY`
  x=(x-(`CHEBSCALE0`))/(`CHEBSCALE1`)`FCPOLY`
ELSE`FCPOLY`
  x=(DLOG(x)-(`CHEBSCALE6`))/(`CHEBSCALE7`)`FCPOLY`
END IF`FCPOLY`
IF(logy.NE.1) THEN`FCPOLY`
  y=(y-(`CHEBSCALE2`))/(`CHEBSCALE3`)`FCPOLY`
ELSE`FCPOLY`
  y=(DLOG(y)-(`CHEBSCALE8`))/(`CHEBSCALE9`)`FCPOLY`
END IF`FCPOLY`
SELECT CASE (order)`FCPOLY`
  CASE (5)`FCPOLY`
    tcnt=3`FCPOLY`
  CASE (9)`FCPOLY`
    tcnt=4`FCPOLY`
  CASE (14)`FCPOLY`
    tcnt=5`FCPOLY`
  CASE (20)`FCPOLY`
    tcnt=6`FCPOLY`
  CASE (27)`FCPOLY`
    tcnt=7`FCPOLY`
  CASE (35)`FCPOLY`
    tcnt=8`FCPOLY`
  CASE (44)`FCPOLY`
    tcnt=9`FCPOLY`
  CASE (54)`FCPOLY`
    tcnt=10`FCPOLY`
  CASE (65)`FCPOLY`
    tcnt=11`FCPOLY`
  CASE DEFAULT`FCPOLY`
    z=0.0`FCPOLY`
    RETURN`FCPOLY`
END SELECT`FCPOLY`
IF(tcnt.GT.6) THEN`FCPOLY`
  IF(x.LT.-1.D0) x=-1.D0`FCPOLY`
  IF(x.GT. 1.D0) x= 1.D0`FCPOLY`
  IF(y.LT.-1.D0) y=-1.D0`FCPOLY`
  IF(y.GT. 1.D0) y= 1.D0`FCPOLY`
END IF`FCPOLY`
tx(1)=1.D0`FCPOLY`
ty(1)=1.D0`FCPOLY`
tx(2)=x`FCPOLY`
ty(2)=y`FCPOLY`
DO 10 j=3,tcnt`FCPOLY`
  tx(j)=2*x*tx(j-1)-tx(j-2)`FCPOLY`
  ty(j)=2*y*ty(j-1)-ty(j-2)`FCPOLY`
10 CONTINUE`FCPOLY`
iv=1`FCPOLY`
DO 30 j=1,tcnt`FCPOLY`
  DO 20 m=j,1,-1`FCPOLY`
    v(iv)=tx(m)*ty(j-m+1)`FCPOLY`
    iv=iv+1`FCPOLY`
  20 CONTINUE`FCPOLY`
30 CONTINUE`FCPOLY`
z=0.0`FCPOLY`
DO 40, j=1,order+1`FCPOLY`
  z = z + c(j)*v(j)`FCPOLY`
40 CONTINUE`FCPOLY`
RETURN`FCPOLY`
END`FCPOLY`
!----------------------------------------------------------`FCRATL`
SUBROUTINE EVALCRATL(order, logx, logy, x, y, c, z)`FCRATL`
!----------------------------------------------------------`FCRATL`
INTEGER order,logx,logy`FCRATL`
REAL*8 x,y,c(*),z`FCRATL`
INTEGER tcnt,j,m`FCRATL`
REAL*8 tx(12),ty(12),num,den`FCRATL`
IF(logx.NE.1) THEN`FCRATL`
  x=(x-(`CHEBSCALE0`))/(`CHEBSCALE1`)`FCRATL`
ELSE`FCRATL`
  x=(DLOG(x)-(`CHEBSCALE6`))/(`CHEBSCALE7`)`FCRATL`
END IF`FCRATL`
IF(logy.NE.1) THEN`FCRATL`
  y=(y-(`CHEBSCALE2`))/(`CHEBSCALE3`)`FCRATL`
ELSE`FCRATL`
  y=(DLOG(y)-(`CHEBSCALE8`))/(`CHEBSCALE9`)`FCRATL`
END IF`FCRATL`
SELECT CASE (order)`FCRATL`
  CASE (6)`FCRATL`
    tcnt=3`FCRATL`
  CASE (10)`FCRATL`
    tcnt=4`FCRATL`
  CASE (14)`FCRATL`
    tcnt=5`FCRATL`
  CASE (18)`FCRATL`
    tcnt=6`FCRATL`
  CASE (22)`FCRATL`
    tcnt=7`FCRATL`
  CASE (26)`FCRATL`
    tcnt=8`FCRATL`
  CASE (30)`FCRATL`
    tcnt=9`FCRATL`
  CASE (34)`FCRATL`
    tcnt=10`FCRATL`
  CASE (38)`FCRATL`
    tcnt=11`FCRATL`
  CASE (42)`FCRATL`
    tcnt=12`FCRATL`
  CASE DEFAULT`FCRATL`
    z=0.0`FCRATL`
    RETURN`FCRATL`
END SELECT`FCRATL`
IF(tcnt.GT.7) THEN`FCRATL`
  IF(x.LT.-1.D0) x=-1.D0`FCRATL`
  IF(x.GT. 1.D0) x= 1.D0`FCRATL`
  IF(y.LT.-1.D0) y=-1.D0`FCRATL`
  IF(y.GT. 1.D0) y= 1.D0`FCRATL`
END IF`FCRATL`
tx(1)=1.D0`FCRATL`
ty(1)=1.D0`FCRATL`
tx(2)=x`FCRATL`
ty(2)=y`FCRATL`
DO 10 j=3,tcnt`FCRATL`
  tx(j)=2*x*tx(j-1)-tx(j-2)`FCRATL`
  ty(j)=2*y*ty(j-1)-ty(j-2)`FCRATL`
10 CONTINUE`FCRATL`
m=2`FCRATL`
num=c(1)`FCRATL`
den=1.0+c(2)*tx(m)+c(3)*ty(m)`FCRATL`
DO 20 j=4,order,4`FCRATL`
  num=num+c(j)*tx(m)`FCRATL`
  num=num+c(j+1)*ty(m)`FCRATL`
  m=m+1`FCRATL`
  den=den+c(j+2)*tx(m)`FCRATL`
  den=den+c(j+3)*ty(m)`FCRATL`
20 CONTINUE`FCRATL`
IF(den.EQ.0.0) THEN`FCRATL`
  z=0.0`FCRATL`
ELSE`FCRATL`
  z= (num/den)*(`CHEBSCALE5`)+(`CHEBSCALE4`)`FCRATL`
END IF`FCRATL`
RETURN`FCRATL`
END`FCRATL`
!----------------------------------------------------------`FFSER`
SUBROUTINE EVALFPOLY(order, x, y, c, z)`FFSER`
!----------------------------------------------------------`FFSER`
INTEGER order`FFSER`
REAL*8 x,y,c(*),z`FFSER`
INTEGER j,m`FFSER`
z=c(1)`FFSER`
x=(x-(`FOURIERSCALE0`))/(`FOURIERSCALE1`)`FFSER`
y=(y-(`FOURIERSCALE2`))/(`FOURIERSCALE3`)`FFSER`
IF(x.LT.0.0) x=0.0`FFSER`
IF(x.GT.3.14159265358979323846) x=3.14159265358979323846`FFSER`
IF(y.LT.0.0) y=0.0`FFSER`
IF(y.GT.3.14159265358979323846) y=3.14159265358979323846`FFSER`
m=1`FFSER`
DO 10 j=2,order+1,4`FFSER`
  z = z + c(j)*DCOS(m*x)`FFSER`
  z = z + c(j+1)*DSIN(m*x)`FFSER`
  z = z + c(j+2)*DCOS(m*y)`FFSER`
  z = z + c(j+3)*DSIN(m*y)`FFSER`
  m = m + 1`FFSER`
10 CONTINUE`FFSER`
RETURN`FFSER`
END`FFSER`
!----------------------------------------------------------`FFSI`
SUBROUTINE EVALFSI(order, x, y, c, z)`FFSI`
!----------------------------------------------------------`FFSI`
INTEGER order`FFSI`
REAL*8 x,y,c(*),z`FFSI`
INTEGER i,sicnt,j,k,m,n1,n2`FFSI`
REAL*8 vx(10),vy(10),v(70)`FFSI`
x=(x-(`FOURIERSCALE0`))/(`FOURIERSCALE1`)`FFSI`
y=(y-(`FOURIERSCALE2`))/(`FOURIERSCALE3`)`FFSI`
IF(x.LT.0.0) x=0.0`FFSI`
IF(x.GT.3.14159265358979323846) x=3.14159265358979323846`FFSI`
IF(y.LT.0.0) y=0.0`FFSI`
IF(y.GT.3.14159265358979323846) y=3.14159265358979323846`FFSI`
SELECT CASE (order)`FFSI`
  CASE (12)`FFSI`
    sicnt=2`FFSI`
  CASE (24)`FFSI`
    sicnt=3`FFSI`
  CASE (40)`FFSI`
    sicnt=4`FFSI`
  CASE (60)`FFSI`
    sicnt=5`FFSI`
  CASE DEFAULT`FFSI`
    z=0.0`FFSI`
    RETURN`FFSI`
END SELECT`FFSI`
j=1`FFSI`
DO 10 i=1,sicnt`FFSI`
  vx(j)=DCOS(i*x)`FFSI`
  vx(j+1)=DSIN(i*x)`FFSI`
  vy(j)=DCOS(i*y)`FFSI`
  vy(j+1)=DSIN(i*y)`FFSI`
  j=j+2`FFSI`
10 CONTINUE`FFSI`
SELECT CASE (sicnt)`FFSI`
  CASE (2)`FFSI`
    m=4`FFSI`
    n1=2`FFSI`
    n2=2`FFSI`
  CASE(3)`FFSI`
    m=6`FFSI`
    n1=2`FFSI`
    n2=4`FFSI`
  CASE(4)`FFSI`
    m=8`FFSI`
    n1=4`FFSI`
    n2=6`FFSI`
  CASE(5)`FFSI`
    m=10`FFSI`
    n1=4`FFSI`
    n2=8`FFSI`
END SELECT`FFSI`
v(1)=1.0`FFSI`
k=2`FFSI`
DO 20 i=1,m`FFSI`
  v(k)=vx(i)`FFSI`
  k=k+1`FFSI`
  v(k)=vy(i)`FFSI`
  k=k+1`FFSI`
20 CONTINUE`FFSI`
DO 40, i=1,n1`FFSI`
  IF(i.EQ.3) n2=n2-2`FFSI`
  DO 30 j=i,n2`FFSI`
    v(k)=vx(i)*vy(j)`FFSI`
    k=k+1`FFSI`
    IF(j.NE.i) THEN`FFSI`
      v(k)=vx(j)*vy(i)`FFSI`
      k=k+1`FFSI`
    END IF`FFSI`
  30 CONTINUE`FFSI`
40 CONTINUE`FFSI`
z=0.0`FFSI`
DO 50 j=1,order+1`FFSI`
  z = z+ c(j)*v(j)`FFSI`
50 CONTINUE`FFSI`
RETURN`FFSI`
END`FFSI`
!----------------------------------------------------------`FCSI`
SUBROUTINE EVALCSI(order, x, y, c, z)`FCSI`
!----------------------------------------------------------`FCSI`
INTEGER order`FCSI`
REAL*8 x,y,c(*),z`FCSI`
INTEGER nc,j,m,iv`FCSI`
REAL*8 cx(12),cy(12),v(70)`FCSI`
x=(x-(`FOURIERSCALE0`))/(`FOURIERSCALE1`)`FCSI`
y=(y-(`FOURIERSCALE2`))/(`FOURIERSCALE3`)`FCSI`
IF(x.LT.0.0) x=0.0`FCSI`
IF(x.GT.3.14159265358979323846) x=3.14159265358979323846`FCSI`
IF(y.LT.0.0) y=0.0`FCSI`
IF(y.GT.3.14159265358979323846) y=3.14159265358979323846`FCSI`
SELECT CASE (order)`FCSI`
  CASE (5)`FCSI`
    nc=2`FCSI`
  CASE (9)`FCSI`
    nc=3`FCSI`
  CASE (14)`FCSI`
    nc=4`FCSI`
  CASE (20)`FCSI`
    nc=5`FCSI`
  CASE (27)`FCSI`
    nc=6`FCSI`
  CASE (35)`FCSI`
    nc=7`FCSI`
  CASE (44)`FCSI`
    nc=8`FCSI`
  CASE (54)`FCSI`
    nc=9`FCSI`
  CASE (65)`FCSI`
    nc=10`FCSI`
  CASE DEFAULT`FCSI`
    z=0.0`FCSI`
    RETURN`FCSI`
END SELECT`FCSI`
cx(1)=1.D0`FCSI`
cy(1)=1.D0`FCSI`
DO 10 j=1,nc`FCSI`
  cx(j+1)=DCOS(j*x)`FCSI`
  cy(j+1)=DCOS(j*y)`FCSI`
10 CONTINUE`FCSI`
iv=1`FCSI`
DO 30 j=1,nc+1`FCSI`
  DO 20 m=j,1,-1`FCSI`
    v(iv)=cx(m)*cy(j-m+1)`FCSI`
    iv=iv+1`FCSI`
  20 CONTINUE`FCSI`
30 CONTINUE`FCSI`
z=0.0`FCSI`
DO 40 j=1,order+1`FCSI`
  z = z + c(j)*v(j)`FCSI`
40 CONTINUE`FCSI`
RETURN`FCSI`
END`FCSI`
!----------------------------------------------------------`FSIG`
SUBROUTINE EVALSIG(order, x, y, c, z)`FSIG`
!----------------------------------------------------------`FSIG`
INTEGER order`FSIG`
REAL*8 x,y,c(*),z`FSIG`
INTEGER pcnt,j,m,iv`FSIG`
REAL*8 px(12),py(12),v(70),ctr`FSIG`
x=(x-(`CHEBSCALE0`))/(`CHEBSCALE1`);`FSIG`
y=(y-(`CHEBSCALE2`))/(`CHEBSCALE3`);`FSIG`
SELECT CASE (order)`FSIG`
  CASE (5)`FSIG`
    pcnt=3`FSIG`
  CASE (9)`FSIG`
    pcnt=4`FSIG`
  CASE (14)`FSIG`
    pcnt=5`FSIG`
  CASE (20)`FSIG`
    pcnt=6`FSIG`
  CASE (27)`FSIG`
    pcnt=7`FSIG`
  CASE (35)`FSIG`
    pcnt=8`FSIG`
  CASE (44)`FSIG`
    pcnt=9`FSIG`
  CASE (54)`FSIG`
    pcnt=10`FSIG`
  CASE (65)`FSIG`
    pcnt=11`FSIG`
  CASE DEFAULT`FSIG`
    z=0.0`FSIG`
    RETURN`FSIG`
END SELECT`FSIG`
px(1)=1.D0`FSIG`
py(1)=1.D0`FSIG`
px(2)=x`FSIG`
py(2)=y`FSIG`
DO 10 j=3,pcnt`FSIG`
  ctr=-1.D0+DFLOAT(j-2)*(2.D0/(DFLOAT(pcnt)-1.D0))`FSIG`
  px(j)=-1.D0+2.D0/(1.D0+DEXP(-(x-ctr)/0.12D0))`FSIG`
  py(j)=-1.D0+2.D0/(1.D0+DEXP(-(y-ctr)/0.12D0))`FSIG`
10 CONTINUE`FSIG`
iv=1`FSIG`
DO 30 j=1,pcnt`FSIG`
  DO 20 m=j,1,-1`FSIG`
    v(iv)=px(m)*py(j-m+1)`FSIG`
    iv=iv+1`FSIG`
  20 CONTINUE`FSIG`
30 CONTINUE`FSIG`
z=0.0`FSIG`
DO 40 j=1,order+1`FSIG`
  z = z+c(j)*v(j)`FSIG`
40 CONTINUE`FSIG`
RETURN`FSIG`
END`FSIG`

!-----------------------------------------------------------
REAL*8 FUNCTION `FNAME`(x,y)
!-----------------------------------------------------------
! TableCurve 3D
! File Source= `SFILE`
! Date= `DATE`
! Time= `TIME`
! Data Source= `TITLE`
! X= `XTITLE`
! Y= `YTITLE`
! Z= `ZTITLE`
! Eqn#= `EQNO`
! Eqn= `EQSTR`
! r2=`R2VAL`
! r2adj=`R2ADJ`
! StdErr=`STDERR`
! Fstat=`FVAL`
! a= `COEFSTR0`
! b= `COEFSTR1`
! c= `COEFSTR2`
! d= `COEFSTR3`
! e= `COEFSTR4`
! f= `COEFSTR5`
! g= `COEFSTR6`
! h= `COEFSTR7`
! i= `COEFSTR8`
! j= `COEFSTR9`
! k= `COEFSTR10`
! l= `COEFSTR11`
! m= `COEFSTR12`
! n= `COEFSTR13`
! o= `COEFSTR14`
! p= `COEFSTR15`
! q= `COEFSTR16`
! r= `COEFSTR17`
! s= `COEFSTR18`
! t= `COEFSTR19`
! u= `COEFSTR20`
! v= `COEFSTR21`
! aa= `COEFSTR22`
! ab= `COEFSTR23`
! ac= `COEFSTR24`
! ad= `COEFSTR25`
! ae= `COEFSTR26`
! af= `COEFSTR27`
! ag= `COEFSTR28`
! ah= `COEFSTR29`
! ai= `COEFSTR30`
! aj= `COEFSTR31`
! ak= `COEFSTR32`
! al= `COEFSTR33`
! am= `COEFSTR34`
! an= `COEFSTR35`
! ao= `COEFSTR36`
! ap= `COEFSTR37`
! aq= `COEFSTR38`
! ar= `COEFSTR39`
! as= `COEFSTR40`
! at= `COEFSTR41`
! au= `COEFSTR42`
! av= `COEFSTR43`
! ba= `COEFSTR44`
! bb= `COEFSTR45`
! bc= `COEFSTR46`
! bd= `COEFSTR47`
! be= `COEFSTR48`
! bf= `COEFSTR49`
! bg= `COEFSTR50`
! bh= `COEFSTR51`
! bi= `COEFSTR52`
! bj= `COEFSTR53`
! bk= `COEFSTR54`
! bl= `COEFSTR55`
! bm= `COEFSTR56`
! bn= `COEFSTR57`
! bo= `COEFSTR58`
! bp= `COEFSTR59`
! bq= `COEFSTR60`
! br= `COEFSTR61`
! bs= `COEFSTR62`
! bt= `COEFSTR63`
! bu= `COEFSTR64`
! bv= `COEFSTR65`
!----------------------------------------------------------
  REAL*8 x,y,z
  REAL*8 z1,z2`FDECL2`
  REAL*8 z1,z2,z3,z4`FDECL4`
  REAL*8 z1,z2,z3,z4,z5,z6`FDECL6`
  REAL*8 z1,z2,z3,z4,z5,z6,z7,z8`FDECL8`
  REAL*8 zu`FDECLZU`
  REAL*8 zv`FDECLZV`
  REAL*8 `FLIST`
  REAL*8 c(`ORDER`+1)`LISTCOEF`
  DATA c(1)/`CVAL0`/`LISTCOEF`
  DATA c(2)/`CVAL1`/`LISTCOEF`
  DATA c(3)/`CVAL2`/`LISTCOEF`
  DATA c(4)/`CVAL3`/`LISTCOEF`
  DATA c(5)/`CVAL4`/`LISTCOEF`
  DATA c(6)/`CVAL5`/`LISTCOEF`
  DATA c(7)/`CVAL6`/`LISTCOEF`
  DATA c(8)/`CVAL7`/`LISTCOEF`
  DATA c(9)/`CVAL8`/`LISTCOEF`
  DATA c(10)/`CVAL9`/`LISTCOEF`
  DATA c(11)/`CVAL10`/`LISTCOEF`
  DATA c(12)/`CVAL11`/`LISTCOEF`
  DATA c(13)/`CVAL12`/`LISTCOEF`
  DATA c(14)/`CVAL13`/`LISTCOEF`
  DATA c(15)/`CVAL14`/`LISTCOEF`
  DATA c(16)/`CVAL15`/`LISTCOEF`
  DATA c(17)/`CVAL16`/`LISTCOEF`
  DATA c(18)/`CVAL17`/`LISTCOEF`
  DATA c(19)/`CVAL18`/`LISTCOEF`
  DATA c(20)/`CVAL19`/`LISTCOEF`
  DATA c(21)/`CVAL20`/`LISTCOEF`
  DATA c(22)/`CVAL21`/`LISTCOEF`
  DATA c(23)/`CVAL22`/`LISTCOEF`
  DATA c(24)/`CVAL23`/`LISTCOEF`
  DATA c(25)/`CVAL24`/`LISTCOEF`
  DATA c(26)/`CVAL25`/`LISTCOEF`
  DATA c(27)/`CVAL26`/`LISTCOEF`
  DATA c(28)/`CVAL27`/`LISTCOEF`
  DATA c(29)/`CVAL28`/`LISTCOEF`
  DATA c(30)/`CVAL29`/`LISTCOEF`
  DATA c(31)/`CVAL30`/`LISTCOEF`
  DATA c(32)/`CVAL31`/`LISTCOEF`
  DATA c(33)/`CVAL32`/`LISTCOEF`
  DATA c(34)/`CVAL33`/`LISTCOEF`
  DATA c(35)/`CVAL34`/`LISTCOEF`
  DATA c(36)/`CVAL35`/`LISTCOEF`
  DATA c(37)/`CVAL36`/`LISTCOEF`
  DATA c(38)/`CVAL37`/`LISTCOEF`
  DATA c(39)/`CVAL38`/`LISTCOEF`
  DATA c(40)/`CVAL39`/`LISTCOEF`
  DATA c(41)/`CVAL40`/`LISTCOEF`
  DATA c(42)/`CVAL41`/`LISTCOEF`
  DATA c(43)/`CVAL42`/`LISTCOEF`
  DATA c(44)/`CVAL43`/`LISTCOEF`
  DATA c(45)/`CVAL44`/`LISTCOEF`
  DATA c(46)/`CVAL45`/`LISTCOEF`
  DATA c(47)/`CVAL46`/`LISTCOEF`
  DATA c(48)/`CVAL47`/`LISTCOEF`
  DATA c(49)/`CVAL48`/`LISTCOEF`
  DATA c(50)/`CVAL49`/`LISTCOEF`
  DATA c(51)/`CVAL50`/`LISTCOEF`
  DATA c(52)/`CVAL51`/`LISTCOEF`
  DATA c(53)/`CVAL52`/`LISTCOEF`
  DATA c(54)/`CVAL53`/`LISTCOEF`
  DATA c(55)/`CVAL54`/`LISTCOEF`
  DATA c(56)/`CVAL55`/`LISTCOEF`
  DATA c(57)/`CVAL56`/`LISTCOEF`
  DATA c(58)/`CVAL57`/`LISTCOEF`
  DATA c(59)/`CVAL58`/`LISTCOEF`
  DATA c(60)/`CVAL59`/`LISTCOEF`
  DATA c(61)/`CVAL60`/`LISTCOEF`
  DATA c(62)/`CVAL61`/`LISTCOEF`
  DATA c(63)/`CVAL62`/`LISTCOEF`
  DATA c(64)/`CVAL63`/`LISTCOEF`
  DATA c(65)/`CVAL64`/`LISTCOEF`
  DATA c(66)/`CVAL65`/`LISTCOEF`
  x=`FX`
  y=`FY`
  f1=`F1`
  f2=`F2`
  f3=`F3`
  f4=`F4`
  f5=`F5`
  f6=`F6`
  f7=`F7`
  f8=`F8`
  zu=`ZUEQNCODE`
  zv=`ZVEQNCODE`
  z1=`Z1EQNCODE`
  z2=`Z2EQNCODE`
  z3=`Z3EQNCODE`
  z4=`Z4EQNCODE`
  z5=`Z5EQNCODE`
  z6=`Z6EQNCODE`
  z7=`Z7EQNCODE`
  z8=`Z8EQNCODE`
  z=`EQNCODE`
  CALL EVALCPOLY(`ORDER`,`ISLOGX`,`ISLOGY`,x,y,c,z)`FCPOLY`
  CALL EVALCRATL(`ORDER`,`ISLOGX`,`ISLOGY`,x,y,c,z)`FCRATL`
  CALL EVALFPOLY(`ORDER`,x,y,c,z)`FFSER`
  CALL EVALFSI(`ORDER`,x,y,c,z)`FFSI`
  CALL EVALCSI(`ORDER`,x,y,c,z)`FCSI`
  CALL EVALSIG(`ORDER`,x,y,c,z)`FSIG`
  `UDFCODE`
  z=`FZ`
  `FNAME`=z
  RETURN
  END
!!FORT90!!
~~FORT90~~

