~~QBASIC~~
'--------------------------------------------------------------
'             TableCurve 2D BASIC Code Output
'        To modify generated output, edit QBASIC.TCL
'--------------------------------------------------------------

DEFDBL x-z
DECLARE FUNCTION `FNAME`# (x,y)

  i = 1
  WHILE i = 1
    PRINT "ENTER X: "
    INPUT x
    PRINT "ENTER Y: "
    INPUT y
    IF (x=0 AND y=0) THEN
      i = 0
    ELSE
      z = `FNAME`#(x,y)
      PRINT "Z=", z
    END IF
  WEND
END

!!QBASIC!!
DEFDBL x-z`SCOPE`
'---------------------------------------------------------------`ERF`
FUNCTION ERF#(x#)`ERF`
'---------------------------------------------------------------`ERF`
  ax#=ABS(x#)`ERF`
  IF ax# < 5.94 THEN`ERF`
    t#=1.0/(1.0+0.5*ax#)`ERF`
    n#=t#*(0.9389130912957599+t#*(0.08277140359981640))`ERF`
    n#=t#*(6.048145478410007+ t#*(0.2817878807093651+n#))`ERF`
    n#=t#*(17.33962064613528+ t#*(-6.393856404424753+n#))`ERF`
    n#=t#*(23.69235092477504+ t#*(-22.19704395697156+n#))`ERF`
    n#=t#*(13.30227627857427+ t#*(-24.31939647870131+n#))`ERF`
    n#=-1.265512123484645+t#*(2.413446064151486+t#*(-9.923502804068758+n#))`ERF`
    d#=t#*(0.2456375141642222+t#*(0.06979297013258348))`ERF`
    d#=t#*(0.9298597410369911+t#*(1.484046041424923+d#))`ERF`
    d#=t#*(-1.320849599715369+t#*(7.600531901165844+d#))`ERF`
    d#=t#*(-6.152935277515339+t#*(17.01615603408679+d#))`ERF`
    d#=t#*(-5.043436120037070+t#*(17.24018785565654+d#))`ERF`
    d#=1.0+t#*(-1.116896502152423+t#*(7.255249579620269+d#))`ERF`
    y#=t#*EXP(-x#*x#+n#/d#)`ERF`
  ELSE`ERF`
    y#=0.0`ERF`
  ENDIF`ERF`
  IF x# >= 0.0 THEN ERF#=1.0-y# ELSE ERF#=-1.0+y#`ERF`
END FUNCTION`ERF`
'----------------------------------------------------------`FCPOLY`
FUNCTION EVALCPOLY#(order%, logx%, logy%, x#, y#, c#())`FCPOLY`
'----------------------------------------------------------`FCPOLY`
  DIM tx#(12),ty#(12),v#(70)`FCPOLY`
  IF logx%<>1 THEN`FCPOLY`
    x#=(x#-(`CHEBSCALE0`))/(`CHEBSCALE1`)`FCPOLY`
  ELSE`FCPOLY`
    x#=(LOG(x#)-(`CHEBSCALE6`))/(`CHEBSCALE7`)`FCPOLY`
  END IF`FCPOLY`
  IF logy%<>1 THEN`FCPOLY`
    y#=(y#-(`CHEBSCALE2`))/(`CHEBSCALE3`)`FCPOLY`
  ELSE`FCPOLY`
    y#=(LOG(y#)-(`CHEBSCALE8`))/(`CHEBSCALE9`)`FCPOLY`
  END IF`FCPOLY`
  SELECT CASE order%`FCPOLY`
    CASE 5`FCPOLY`
      tcnt%=3`FCPOLY`
    CASE 9`FCPOLY`
      tcnt%=4`FCPOLY`
    CASE 14`FCPOLY`
      tcnt%=5`FCPOLY`
    CASE 20`FCPOLY`
      tcnt%=6`FCPOLY`
    CASE 27`FCPOLY`
      tcnt%=7`FCPOLY`
    CASE 35`FCPOLY`
      tcnt%=8`FCPOLY`
    CASE 44`FCPOLY`
      tcnt%=9`FCPOLY`
    CASE 54`FCPOLY`
      tcnt%=10`FCPOLY`
    CASE 65`FCPOLY`
      tcnt%=11`FCPOLY`
    CASE ELSE`FCPOLY`
      EVALCPOLY#=0.0`FCPOLY`
      EXIT FUNCTION`FCPOLY`
  END SELECT`FCPOLY`
  IF tcnt%>6 THEN`FCPOLY`
    IF(x#<-1.0) THEN x#=-1.0`FCPOLY`
    IF(x#> 1.0) THEN x#= 1.0`FCPOLY`
    IF(y#<-1.0) THEN y#=-1.0`FCPOLY`
    IF(y#> 1.0) THEN y#= 1.0`FCPOLY`
  END IF`FCPOLY`
  tx#(1)=1.0`FCPOLY`
  ty#(1)=1.0`FCPOLY`
  tx#(2)=x#`FCPOLY`
  ty#(2)=y#`FCPOLY`
  FOR j%=3 TO tcnt%`FCPOLY`
    tx#(j%)=2*x#*tx#(j%-1)-tx#(j%-2)`FCPOLY`
    ty#(j%)=2*y#*ty#(j%-1)-ty#(j%-2)`FCPOLY`
  NEXT j%`FCPOLY`
  iv%=1`FCPOLY`
  FOR j%=1 TO tcnt%`FCPOLY`
    FOR m%=j% TO 1 STEP -1`FCPOLY`
      v#(iv%)=tx#(m%)*ty#(j%-m%+1)`FCPOLY`
      iv%=iv%+1`FCPOLY`
    NEXT m%`FCPOLY`
  NEXT j%`FCPOLY`
  z#=0.0`FCPOLY`
  FOR j%=1 TO order%+1`FCPOLY`
    z# = z# + c#(j%)*v#(j%)`FCPOLY`
  NEXT j%`FCPOLY`
  EVALCPOLY#=z#`FCPOLY`
END FUNCTION`FCPOLY`
'----------------------------------------------------------`FCRATL`
FUNCTION EVALCRATL#(order%, logx%, logy%, x#, y#, c#())`FCRATL`
'----------------------------------------------------------`FCRATL`
  DIM tx#(12),ty#(12)`FCRATL`
  IF logx%<>1 THEN`FCRATL`
    x#=(x#-(`CHEBSCALE0`))/(`CHEBSCALE1`)`FCRATL`
  ELSE`FCRATL`
    x#=(LOG(x#)-(`CHEBSCALE6`))/(`CHEBSCALE7`)`FCRATL`
  END IF`FCRATL`
  IF logy%<>1 THEN`FCRATL`
    y#=(y#-(`CHEBSCALE2`))/(`CHEBSCALE3`)`FCRATL`
  ELSE`FCRATL`
    y#=(LOG(y#)-(`CHEBSCALE8`))/(`CHEBSCALE9`)`FCRATL`
  END IF`FCRATL`
  SELECT CASE order%`FCRATL`
    CASE 6`FCRATL`
      tcnt%=3`FCRATL`
    CASE 10`FCRATL`
      tcnt%=4`FCRATL`
    CASE 14`FCRATL`
      tcnt%=5`FCRATL`
    CASE 18`FCRATL`
      tcnt%=6`FCRATL`
    CASE 22`FCRATL`
      tcnt%=7`FCRATL`
    CASE 26`FCRATL`
      tcnt%=8`FCRATL`
    CASE 30`FCRATL`
      tcnt%=9`FCRATL`
    CASE 34`FCRATL`
      tcnt%=10`FCRATL`
    CASE 38`FCRATL`
      tcnt%=11`FCRATL`
    CASE 42`FCRATL`
      tcnt%=12`FCRATL`
    CASE ELSE`FCRATL`
      EVALCRATL#=0.0`FCRATL`
      EXIT FUNCTION`FCRATL`
  END SELECT`FCRATL`
  IF tcnt%>7 THEN`FCRATL`
    IF(x#<-1.0) THEN x#=-1.0`FCRATL`
    IF(x#> 1.0) THEN x#= 1.0`FCRATL`
    IF(y#<-1.0) THEN y#=-1.0`FCRATL`
    IF(y#> 1.0) THEN y#= 1.0`FCRATL`
  END IF`FCRATL`
  tx#(1)=1.0`FCRATL`
  ty#(1)=1.0`FCRATL`
  tx#(2)=x#`FCRATL`
  ty#(2)=y#`FCRATL`
  FOR j%=3 TO tcnt%`FCRATL`
    tx#(j%)=2*x#*tx#(j%-1)-tx#(j%-2)`FCRATL`
    ty#(j%)=2*y#*ty#(j%-1)-ty#(j%-2)`FCRATL`
  NEXT j%`FCRATL`
  m%=2`FCRATL`
  num#=c#(1)`FCRATL`
  den#=1.0+c#(2)*tx#(m%)+c#(3)*ty#(m%)`FCRATL`
  FOR j%=4 TO order% STEP 4`FCRATL`
    num#=num#+c#(j%)*tx#(m%)`FCRATL`
    num#=num#+c#(j%+1)*ty#(m%)`FCRATL`
    m%=m%+1`FCRATL`
    den#=den#+c#(j%+2)*tx#(m%)`FCRATL`
    den#=den#+c#(j%+3)*ty#(m%)`FCRATL`
  NEXT j%`FCRATL`
  IF den#=0.0 THEN`FCRATL`
    z#=0.0`FCRATL`
  ELSE`FCRATL`
    z#= (num#/den#)*(`CHEBSCALE5`)+(`CHEBSCALE4`)`FCRATL`
  END IF`FCRATL`
  EVALCRATL#=z#`FCRATL`
END FUNCTION`FCRATL`
'----------------------------------------------------------`FFSER`
FUNCTION EVALFPOLY#(order%, x#, y#, c#())`FFSER`
'----------------------------------------------------------`FFSER`
  z#=c#(1)`FFSER`
  x#=(x#-(`FOURIERSCALE0`))/(`FOURIERSCALE1`)`FFSER`
  y#=(y#-(`FOURIERSCALE2`))/(`FOURIERSCALE3`)`FFSER`
  IF x#<0.0 THEN x#=0.0`FFSER`
  IF x#>3.14159265358979323846 THEN x#=3.14159265358979323846`FFSER`
  IF y#<0.0 THEN y#=0.0`FFSER`
  IF y#>3.14159265358979323846 THEN y#=3.14159265358979323846`FFSER`
  m%=1`FFSER`
  FOR j%=2 TO order%+1 STEP 4`FFSER`
    z# = z# + c#(j%)*COS(m%*x#)`FFSER`
    z# = z# + c#(j%+1)*SIN(m%*x#)`FFSER`
    z# = z# + c#(j%+2)*COS(m%*y#)`FFSER`
    z# = z# + c#(j%+3)*SIN(m%*y#)`FFSER`
    m% = m% + 1`FFSER`
  NEXT j%`FFSER`
  EVALFPOLY#=z#`FFSER`
END FUNCTION`FFSER`
'----------------------------------------------------------`FFSI`
FUNCTION EVALFSI#(order%, x#, y#, c#())`FFSI`
'----------------------------------------------------------`FFSI`
  DIM vx#(10),vy#(10),v#(70)`FFSI`
  x#=(x#-(`FOURIERSCALE0`))/(`FOURIERSCALE1`)`FFSI`
  y#=(y#-(`FOURIERSCALE2`))/(`FOURIERSCALE3`)`FFSI`
  IF x#<0.0 THEN x#=0.0`FFSI`
  IF x#>3.14159265358979323846 THEN x#=3.14159265358979323846`FFSI`
  IF y#<0.0 THEN y#=0.0`FFSI`
  IF y#>3.14159265358979323846 THEN y#=3.14159265358979323846`FFSI`
  SELECT CASE order%`FFSI`
    CASE 12`FFSI`
      sicnt%=2`FFSI`
    CASE 24`FFSI`
      sicnt%=3`FFSI`
    CASE 40`FFSI`
      sicnt%=4`FFSI`
    CASE 60`FFSI`
      sicnt%=5`FFSI`
    CASE ELSE`FFSI`
      EVALFSI#=0.0`FFSI`
      EXIT FUNCTION`FFSI`
  END SELECT`FFSI`
  j%=1`FFSI`
  FOR i%=1 TO sicnt%`FFSI`
    vx#(j%)=COS(i%*x#)`FFSI`
    vx#(j%+1)=SIN(i%*x#)`FFSI`
    vy#(j%)=COS(i%*y#)`FFSI`
    vy#(j%+1)=SIN(i%*y#)`FFSI`
    j%=j%+2`FFSI`
  NEXT i%`FFSI`
  SELECT CASE sicnt%`FFSI`
    CASE 2`FFSI`
      m%=4`FFSI`
      n1%=2`FFSI`
      n2%=2`FFSI`
    CASE 3`FFSI`
      m%=6`FFSI`
      n1%=2`FFSI`
      n2%=4`FFSI`
    CASE 4`FFSI`
      m%=8`FFSI`
      n1%=4`FFSI`
      n2%=6`FFSI`
    CASE 5`FFSI`
      m%=10`FFSI`
      n1%=4`FFSI`
      n2%=8`FFSI`
  END SELECT`FFSI`
  v#(1)=1.0`FFSI`
  k%=2`FFSI`
  FOR i%=1 TO m%`FFSI`
    v#(k%)=vx#(i%)`FFSI`
    k%=k%+1`FFSI`
    v#(k%)=vy#(i%)`FFSI`
    k%=k%+1`FFSI`
  NEXT i%`FFSI`
  FOR i%=1 TO n1%`FFSI`
    IF i%=3 THEN n2%=n2%-2`FFSI`
    FOR j%=i% TO n2%`FFSI`
      v#(k%)=vx#(i%)*vy#(j%)`FFSI`
      k%=k%+1`FFSI`
      IF j%<>i% THEN`FFSI`
        v#(k%)=vx#(j%)*vy#(i%)`FFSI`
        k%=k%+1`FFSI`
      END IF`FFSI`
    NEXT j%`FFSI`
  NEXT i%`FFSI`
  z#=0.0`FFSI`
  FOR j%=1 TO order%+1`FFSI`
    z# = z# + c#(j%)*v#(j%)`FFSI`
  NEXT j%`FFSI`
  EVALFSI#=z#`FFSI`
END FUNCTION`FFSI`
'----------------------------------------------------------`FCSI`
FUNCTION EVALCSI#(order%, x#, y#, c#())`FCSI`
'----------------------------------------------------------`FCSI`
  DIM cx#(12),cy#(12),v#(70)`FCSI`
  x#=(x#-(`FOURIERSCALE0`))/(`FOURIERSCALE1`)`FCSI`
  y#=(y#-(`FOURIERSCALE2`))/(`FOURIERSCALE3`)`FCSI`
  IF x#<0.0 THEN x#=0.0`FCSI`
  IF x#>3.14159265358979323846 THEN x#=3.14159265358979323846`FCSI`
  IF y#<0.0 THEN y#=0.0`FCSI`
  IF y#>3.14159265358979323846 THEN y#=3.14159265358979323846`FCSI`
  SELECT CASE order%`FCSI`
    CASE 5`FCSI`
      nc%=2`FCSI`
    CASE 9`FCSI`
      nc%=3`FCSI`
    CASE 14`FCSI`
      nc%=4`FCSI`
    CASE 20`FCSI`
      nc%=5`FCSI`
    CASE 27`FCSI`
      nc%=6`FCSI`
    CASE 35`FCSI`
      nc%=7`FCSI`
    CASE 44`FCSI`
      nc%=8`FCSI`
    CASE 54`FCSI`
      nc%=9`FCSI`
    CASE 65`FCSI`
      nc%=10`FCSI`
    CASE ELSE`FCSI`
      EVALCSI#=0.0`FCSI`
      EXIT FUNCTION`FCSI`
  END SELECT`FCSI`
  cx#(1)=1.0`FCSI`
  cy#(1)=1.0`FCSI`
  FOR j%=1 TO nc%`FCSI`
    cx#(j%+1)=COS(j%*x#)`FCSI`
    cy#(j%+1)=COS(j%*y#)`FCSI`
  NEXT j%`FCSI`
  iv%=1`FCSI`
  FOR j%=1 TO nc%+1`FCSI`
    FOR m%=j% TO 1 STEP -1`FCSI`
      v#(iv%)=cx#(m%)*cy#(j%-m%+1)`FCSI`
      iv%=iv%+1`FCSI`
    NEXT m%`FCSI`
  NEXT j%`FCSI`
  z#=0.0`FCSI`
  FOR j%=1 TO order%+1`FCSI`
    z# = z# + c#(j%)*v#(j%)`FCSI`
  NEXT j%`FCSI`
  EVALCSI#=z#`FCSI`
END FUNCTION`FCSI`
'----------------------------------------------------------`FSIG`
FUNCTION EVALSIG#(order%, x#, y#, c#())`FSIG`
'----------------------------------------------------------`FSIG`
  DIM px#(12),py#(12),v#(70)`FSIG`
  x#=(x#-(`CHEBSCALE0`))/(`CHEBSCALE1`)`FSIG`
  y#=(y#-(`CHEBSCALE2`))/(`CHEBSCALE3`)`FSIG`
  SELECT CASE order%`FSIG`
    CASE 5`FSIG`
      pcnt%=3`FSIG`
    CASE 9`FSIG`
      pcnt%=4`FSIG`
    CASE 14`FSIG`
      pcnt%=5`FSIG`
    CASE 20`FSIG`
      pcnt%=6`FSIG`
    CASE 27`FSIG`
      pcnt%=7`FSIG`
    CASE 35`FSIG`
      pcnt%=8`FSIG`
    CASE 44`FSIG`
      pcnt%=9`FSIG`
    CASE 54`FSIG`
      pcnt%=10`FSIG`
    CASE 65`FSIG`
      pcnt%=11`FSIG`
    CASE ELSE`FSIG`
      EVALSIG#=0.0`FSIG`
      EXIT FUNCTION`FSIG`
  END SELECT`FSIG`
  px#(1)=1.0`FSIG`
  py#(1)=1.0`FSIG`
  px#(2)=x#`FSIG`
  py#(2)=y#`FSIG`
  FOR j%=3 TO pcnt%`FSIG`
    ctr#=-1.0+(j%-2)*(2.0/((pcnt%)-1.0))`FSIG`
    px#(j%)=-1.0+2.0/(1.0+EXP(-(x#-ctr#)/0.12))`FSIG`
    py#(j%)=-1.0+2.0/(1.0+EXP(-(y#-ctr#)/0.12))`FSIG`
  NEXT j%`FSIG`
  iv%=1`FSIG`
  FOR j%=1 TO pcnt%`FSIG`
    FOR m%=j% TO 1 STEP -1`FSIG`
      v#(iv%)=px#(m%)*py#(j%-m%+1)`FSIG`
      iv%=iv%+1`FSIG`
    NEXT m%`FSIG`
  NEXT j%`FSIG`
  z#=0.0`FSIG`
  FOR j%=1 TO order%+1`FSIG`
    z# = z# + c#(j%)*v#(j%)`FSIG`
  NEXT j%`FSIG`
  EVALSIG#=z#`FSIG`
END FUNCTION `FSIG`

'---------------------------------------------------------------
FUNCTION `FNAME`# (x#,y#)
'---------------------------------------------------------------
' TableCurve 3D
' File Source= `SFILE`
' Date= `DATE`
' Time= `TIME`
' Data Set=`TITLE`
' X= `XTITLE`
' Y= `YTITLE`
' Z= `ZTITLE`
' Eqn#= `EQNO`
' Eqn= `EQSTR`
' r2=`R2VAL`
' r2adj=`R2ADJ`
' StdErr=`STDERR`
' Fval=`FVAL`
' a= `COEFSTR0`
' b= `COEFSTR1`
' c= `COEFSTR2`
' d= `COEFSTR3`
' e= `COEFSTR4`
' f= `COEFSTR5`
' g= `COEFSTR6`
' h= `COEFSTR7`
' i= `COEFSTR8`
' j= `COEFSTR9`
' k= `COEFSTR10`
' l= `COEFSTR11`
' m= `COEFSTR12`
' n= `COEFSTR13`
' o= `COEFSTR14`
' p= `COEFSTR15`
' q= `COEFSTR16`
' r= `COEFSTR17`
' s= `COEFSTR18`
' t= `COEFSTR19`
' u= `COEFSTR20`
' v= `COEFSTR21`
' aa= `COEFSTR22`
' ab= `COEFSTR23`
' ac= `COEFSTR24`
' ad= `COEFSTR25`
' ae= `COEFSTR26`
' af= `COEFSTR27`
' ag= `COEFSTR28`
' ah= `COEFSTR29`
' ai= `COEFSTR30`
' aj= `COEFSTR31`
' ak= `COEFSTR32`
' al= `COEFSTR33`
' am= `COEFSTR34`
' an= `COEFSTR35`
' ao= `COEFSTR36`
' ap= `COEFSTR37`
' aq= `COEFSTR38`
' ar= `COEFSTR39`
' as= `COEFSTR40`
' at= `COEFSTR41`
' au= `COEFSTR42`
' av= `COEFSTR43`
' ba= `COEFSTR44`
' bb= `COEFSTR45`
' bc= `COEFSTR46`
' bd= `COEFSTR47`
' be= `COEFSTR48`
' bf= `COEFSTR49`
' bg= `COEFSTR50`
' bh= `COEFSTR51`
' bi= `COEFSTR52`
' bj= `COEFSTR53`
' bk= `COEFSTR54`
' bl= `COEFSTR55`
' bm= `COEFSTR56`
' bn= `COEFSTR57`
' bo= `COEFSTR58`
' bp= `COEFSTR59`
' bq= `COEFSTR60`
' br= `COEFSTR61`
' bs= `COEFSTR62`
' bt= `COEFSTR63`
' bu= `COEFSTR64`
' bv= `COEFSTR65`
'---------------------------------------------------------------------
  DIM c#(`ORDER`+1)`LISTCOEF`
  c#(1)=`CVAL0` `LISTCOEF`
  c#(2)=`CVAL1` `LISTCOEF`
  c#(3)=`CVAL2` `LISTCOEF`
  c#(4)=`CVAL3` `LISTCOEF`
  c#(5)=`CVAL4` `LISTCOEF`
  c#(6)=`CVAL5` `LISTCOEF`
  c#(7)=`CVAL6` `LISTCOEF`
  c#(8)=`CVAL7` `LISTCOEF`
  c#(9)=`CVAL8` `LISTCOEF`
  c#(10)=`CVAL9` `LISTCOEF`
  c#(11)=`CVAL10` `LISTCOEF`
  c#(12)=`CVAL11` `LISTCOEF`
  c#(13)=`CVAL12` `LISTCOEF`
  c#(14)=`CVAL13` `LISTCOEF`
  c#(15)=`CVAL14` `LISTCOEF`
  c#(16)=`CVAL15` `LISTCOEF`
  c#(17)=`CVAL16` `LISTCOEF`
  c#(18)=`CVAL17` `LISTCOEF`
  c#(19)=`CVAL18` `LISTCOEF`
  c#(20)=`CVAL19` `LISTCOEF`
  c#(21)=`CVAL20` `LISTCOEF`
  c#(22)=`CVAL21` `LISTCOEF`
  c#(23)=`CVAL22` `LISTCOEF`
  c#(24)=`CVAL23` `LISTCOEF`
  c#(25)=`CVAL24` `LISTCOEF`
  c#(26)=`CVAL25` `LISTCOEF`
  c#(27)=`CVAL26` `LISTCOEF`
  c#(28)=`CVAL27` `LISTCOEF`
  c#(29)=`CVAL28` `LISTCOEF`
  c#(30)=`CVAL29` `LISTCOEF`
  c#(31)=`CVAL30` `LISTCOEF`
  c#(32)=`CVAL31` `LISTCOEF`
  c#(33)=`CVAL32` `LISTCOEF`
  c#(34)=`CVAL33` `LISTCOEF`
  c#(35)=`CVAL34` `LISTCOEF`
  c#(36)=`CVAL35` `LISTCOEF`
  c#(37)=`CVAL36` `LISTCOEF`
  c#(38)=`CVAL37` `LISTCOEF`
  c#(39)=`CVAL38` `LISTCOEF`
  c#(40)=`CVAL39` `LISTCOEF`
  c#(41)=`CVAL40` `LISTCOEF`
  c#(42)=`CVAL41` `LISTCOEF`
  c#(43)=`CVAL42` `LISTCOEF`
  c#(44)=`CVAL43` `LISTCOEF`
  c#(45)=`CVAL44` `LISTCOEF`
  c#(46)=`CVAL45` `LISTCOEF`
  c#(47)=`CVAL46` `LISTCOEF`
  c#(48)=`CVAL47` `LISTCOEF`
  c#(49)=`CVAL48` `LISTCOEF`
  c#(50)=`CVAL49` `LISTCOEF`
  c#(51)=`CVAL50` `LISTCOEF`
  c#(52)=`CVAL51` `LISTCOEF`
  c#(53)=`CVAL52` `LISTCOEF`
  c#(54)=`CVAL53` `LISTCOEF`
  c#(55)=`CVAL54` `LISTCOEF`
  c#(56)=`CVAL55` `LISTCOEF`
  c#(57)=`CVAL56` `LISTCOEF`
  c#(58)=`CVAL57` `LISTCOEF`
  c#(59)=`CVAL58` `LISTCOEF`
  c#(60)=`CVAL59` `LISTCOEF`
  c#(61)=`CVAL60` `LISTCOEF`
  c#(62)=`CVAL61` `LISTCOEF`
  c#(63)=`CVAL62` `LISTCOEF`
  c#(64)=`CVAL63` `LISTCOEF`
  c#(65)=`CVAL64` `LISTCOEF`
  c#(66)=`CVAL65` `LISTCOEF`
  x#=`FX`
  y#=`FY`
  f1#=`F1`
  f2#=`F2`
  f3#=`F3`
  f4#=`F4`
  f5#=`F5`
  f6#=`F6`
  f7#=`F7`
  f8#=`F8`
  zu#=`ZUEQNCODE`
  zv#=`ZVEQNCODE`
  z1#=`Z1EQNCODE`
  z2#=`Z2EQNCODE`
  z3#=`Z3EQNCODE`
  z4#=`Z4EQNCODE`
  z5#=`Z5EQNCODE`
  z6#=`Z6EQNCODE`
  z7#=`Z7EQNCODE`
  z8#=`Z8EQNCODE`
  z#=`EQNCODE`
  z#=EVALCPOLY#(`ORDER`,`ISLOGX`,`ISLOGY`,x#,y#,c#())`FCPOLY`
  z#=EVALCRATL#(`ORDER`,`ISLOGX`,`ISLOGY`,x#,y#,c#())`FCRATL`
  z#=EVALFPOLY#(`ORDER`,x#,y#,c#())`FFSER`
  z#=EVALFSI#(`ORDER`,x#,y#,c#())`FFSI`
  z#=EVALCSI#(`ORDER`,x#,y#,c#())`FCSI`
  z#=EVALSIG#(`ORDER`,x#,y#,c#())`FSIG`
  `UDFCODE`
  `FNAME`#=`FZ`#
END FUNCTION
!!QBASIC!!
~~QBASIC~~
